## step 22.12.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "22")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "1")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(step VERSION ${RELEASE_SERVICE_VERSION})

set(KDE_COMPILERSETTINGS_LEVEL "5.84")
set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.90.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})

include(KDEInstallDirs)
include(ECMAddTests)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMInstallIcons)
include(ECMOptionalAddSubdirectory)
include(ECMSetupVersion)
include(FeatureSummary)
include(ECMPoQmTools)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
    Xml
    Svg
)
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6 REQUIRED NO_MODULE COMPONENTS OpenGLWidgets)
endif()

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Crash
    Config
    I18n
    IconThemes
    KIO
    NewStuff
    Plotting
    TextWidgets
)
find_package(KF5DocTools ${KF5_MIN_VERSION})
find_package(Eigen3 3.2.2 REQUIRED)
find_package(GSL)
find_package(Qalculate)

set_package_properties(EIGEN3 PROPERTIES
                       DESCRIPTION "Eigen3"
                       URL "https://eigen.tuxfamily.org"
                       TYPE OPTIONAL
                       PURPOSE "Required to build step")

set_package_properties(QALCULATE PROPERTIES
# 		       REQUIRED_VERSION "0.9.5"
                       DESCRIPTION "Qalculate"
                       URL "https://qalculate.github.io/"
                       TYPE OPTIONAL
                       PURPOSE "Unit conversion support in Step")

set_package_properties(GSL PROPERTIES
# 		       REQUIRED_VERSION "1.8"
                       DESCRIPTION "GSL"
                       URL "https://www.gnu.org/software/gsl/"
                       TYPE OPTIONAL
                       PURPOSE "Provides a GSL-powered solver for Step")

set(STEPCORE_WITH_GSL ${GSL_FOUND} CACHE BOOL "Enable GSL-powered features for StepCore")
set(STEPCORE_WITH_QT ON) # CACHE BOOL "Enable QT-powered features for StepCore")
set(STEP_WITH_QALCULATE ${QALCULATE_FOUND} CACHE BOOL "Enable unit conversion support using libqalculate")
if (QT_MAJOR_VERSION STREQUAL "6")
    MESSAGE(STATUS "QALCULATE was not ported to QT6 yet")
    set(STEP_WITH_QALCULATE false)
endif()

# Compiler specific options
if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    # Clang specific options
    include(${CMAKE_CURRENT_SOURCE_DIR}/Clang.cmake)
elseif("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
    # GCC specific options
    include(${CMAKE_CURRENT_SOURCE_DIR}/GCC.cmake)
else()
    # Some other compiler
endif()

if(KF5DocTools_FOUND)
    ecm_optional_add_subdirectory(doc)
endif()
add_subdirectory(stepcore)
add_subdirectory(step)
add_subdirectory(autotests)

ecm_install_po_files_as_qm(poqm)
ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()
install(FILES org.kde.step.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

find_package(SharedMimeInfo REQUIRED)
install(FILES org.kde.step.xml DESTINATION ${KDE_INSTALL_MIMEDIR})
update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
step (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:41:33 +0100

=== debian/control ===
Source: step
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libeigen3-dev (>= 3.2.2~),
               libglib2.0-dev,
               libgsl-dev,
               libkf5config-dev (>= 5.90.0~),
               libkf5crash-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5iconthemes-dev (>= 5.90.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5newstuff-dev (>= 5.90.0~),
               libkf5plotting-dev (>= 5.90.0~),
               libkf5textwidgets-dev (>= 5.90.0~),
               libqalculate-dev (>= 0.9.5),
               libqt5opengl5-dev (>= 5.15.0~),
               libqt5svg5-dev (>= 5.15.2~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.2.0~),
               shared-mime-info,
Build-Conflicts: libeigen3-dev (<< 3.3.5-2~)
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/en/step
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/step
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/step.git
Rules-Requires-Root: no

Package: step
Architecture: any
Section: science
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: interactive physical simulator for KDE
 With Step you can not only learn but feel how physics works. You place some
 bodies on the scene, add some forces such as gravity or springs, then click
 "Simulate" and Step shows you how your scene will evolve according to the
 laws of physics. You can change every property of bodies/forces in your
 experiment (even during simulation) and see how this will change evolution
 of the experiment.
 .
 This package is part of the KDE education module.

## step 22.12.2

=== debian/changelog ===
step (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:31:45 -0600

step (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:22:31 +0000

step (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Dec 2022 10:16:05 +0000

step (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:19:16 +0000

## step 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "22")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(step VERSION ${RELEASE_SERVICE_VERSION})

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2014-2015 Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
# SPDX-License-Identifier: BSD-2-Clause.

include(ECMMarkAsTest)

find_package(Qt${QT_MAJOR_VERSION}Test ${QT_MIN_VERSION} CONFIG QUIET)

if(NOT Qt${QT_MAJOR_VERSION}Test_FOUND)
    message(STATUS "Qt5Test not found, autotests will not be built.")
    return()
endif()

macro(STEPCORE_UNIT_TESTS)
   foreach(_testname ${ARGN})
      add_executable(${_testname} ${_testname}.cc)
      add_test(NAME stepcore-${_testname} COMMAND ${_testname})
      target_include_directories(${_testname} PUBLIC ${CMAKE_SOURCE_DIR})
      target_link_libraries(${_testname} stepcore Qt::Test)
      ecm_mark_as_test(${_testname})
   endforeach()
endmacro()

stepcore_unit_tests(
    test_contacts
    test_metaobject
    test_forces
#     test_worldcopy #FIXME must be reenabled after sorting out derivation issues
)

=== doc/CMakeLists.txt ===
########### install files ###############
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR step)

=== step/CMakeLists.txt ===
add_executable(step)

ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX STEP VERSION_HEADER step_version.h)

target_sources(step PRIVATE
    arrow.cc
    clipboard.cc
    mainwindow.cc
    worldmodel.cc
    worldscene.cc
    worldgraphics.cc
    worldbrowser.cc
    propertiesbrowser.cc
    infobrowser.cc
    undobrowser.cc
    itempalette.cc
    worldfactory.cc
    stepgraphicsitem.cc
    particlegraphics.cc
    polygongraphics.cc
    gasgraphics.cc
    gascreationdialog.cc
    softbodygraphics.cc
    springgraphics.cc
    motorgraphics.cc
    jointgraphics.cc
    toolgraphics.cc
    simulationthread.cc
    unitscalc.cc
    latexformula.cc
    messageframe.cc
    main.cc
    choicesmodel.cc

    step.qrc
)

if(STEP_WITH_QALCULATE)
    target_compile_definitions(step PRIVATE
        -DSTEP_WITH_QALCULATE
        -DSTEP_WITH_UNITSCALC
    )
    target_compile_options(step PRIVATE ${QALCULATE_CFLAGS})
    target_link_libraries(step ${QALCULATE_LIBRARIES} ${CLN_LIBRARIES})
    # To compile with libcln
    string (REPLACE "-fno-exceptions" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
    add_definitions (-fexceptions)
endif(STEP_WITH_QALCULATE)

ki18n_wrap_ui(step
    create_gas_particles.ui
    create_softbody_items.ui
    configure_graph.ui
    configure_meter.ui
    configure_controller.ui
    configure_step_general.ui
)

kconfig_add_kcfg_files(step settings.kcfgc)

ecm_create_qm_loader(step step_qt)

target_include_directories(step PUBLIC ${CMAKE_SOURCE_DIR})

target_link_libraries(step
    stepcore
    KF5::Crash
    KF5::I18n
    KF5::IconThemes
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::TextWidgets
    KF5::Plotting
    KF5::NewStuffWidgets
    Qt::Widgets
)
if (QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(step Qt6::OpenGLWidgets)
endif()

install(TARGETS step ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES step.kcfg DESTINATION  ${KDE_INSTALL_KCFGDIR})
install(FILES step.knsrc DESTINATION  ${KDE_INSTALL_KNSRCDIR})
install( PROGRAMS org.kde.step.desktop DESTINATION ${KDE_INSTALL_APPDIR} )

add_subdirectory(icons)
add_subdirectory(data)

=== stepcore/CMakeLists.txt ===
add_library(stepcore STATIC)

target_sources(stepcore PRIVATE
    constants.cc

    material.cc

    # Base objects
    object.cc
    item.cc
    body.cc
    objecterrors.cc
    force.cc
    joint.cc
    itemgroup.cc

    # Storage objects
    world.cc
    factory.cc
    particle.cc
    rigidbody.cc
    gas.cc
    softbody.cc
    gravitation.cc
    coulombforce.cc
    spring.cc
    motor.cc
    tool.cc
    joints.cc
    solver.cc
    eulersolver.cc
    collisionsolver.cc
    constraintsolver.cc
    xmlfile.cc
)

target_link_libraries(stepcore
    Eigen3::Eigen
)

if(STEPCORE_WITH_GSL)
    target_compile_definitions(stepcore PUBLIC -DSTEPCORE_WITH_GSL)
    target_include_directories(stepcore PUBLIC ${GSL_INCLUDE_DIR})
    target_link_libraries(stepcore ${GSL_LIBRARIES} ${GSL_CBLAS_LIBRARIES})
    target_sources(stepcore PRIVATE gslsolver.cc)
endif(STEPCORE_WITH_GSL)

if(STEPCORE_WITH_QT)
    target_compile_definitions(stepcore PUBLIC -DSTEPCORE_WITH_QT)

    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Xml)

    target_link_libraries(stepcore Qt::Core Qt::Xml)
endif(STEPCORE_WITH_QT)

=== step/data/CMakeLists.txt ===
find_package(PythonInterp)
set(EXTRACTXML_EXECUTABLE ${CMAKE_CURRENT_SOURCE_DIR}/extractxml)

if(PYTHON_EXECUTABLE)

    macro(STEP_PROCESS_XML_TRANSLATION _lang _po_file _extractxml_args)
    set(_xmlfiles_tr)
    set(_args ${ARGN})
    set(_addToAll)
    set(_installDest)

    list(GET _args 0 _tmp)
    if("${_tmp}" STREQUAL "ALL")
        set(_addToAll ALL)
        list(REMOVE_AT _args 0)
    endif("${_tmp}" STREQUAL "ALL")

    list(GET _args 0 _tmp)
    if("${_tmp}" STREQUAL "INSTALL_DESTINATION")
        list(GET _args 1 _installDest )
        list(REMOVE_AT _args 0 1)
    endif("${_tmp}" STREQUAL "INSTALL_DESTINATION")

    if(EXISTS ${_po_file})
        get_filename_component(_po_file_we ${_po_file} NAME_WE)
        set(_mo_file ${CMAKE_CURRENT_BINARY_DIR}/${_lang}/${_po_file_we}.mo)
        add_custom_command(OUTPUT ${_mo_file}
        COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_mo_file} ${_po_file}
        WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
        DEPENDS ${_po_file}
        )

        foreach(_xmlfile ${_args})
        get_filename_component(_xmlfile_basename ${_xmlfile} NAME)
        set(_xmlfile_tr ${CMAKE_CURRENT_BINARY_DIR}/${_lang}/${_xmlfile_basename})
        set(_extractxml_args_copy ${_extractxml_args})
        separate_arguments(_extractxml_args_copy)
        file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/${_lang})
        add_custom_command(OUTPUT ${_xmlfile_tr}
            COMMAND ${PYTHON_EXECUTABLE} ${EXTRACTXML_EXECUTABLE} --translate --mo-file=${_mo_file} --output-dir=${CMAKE_CURRENT_BINARY_DIR}/${_lang} ${_extractxml_args_copy} ${_xmlfile}
            WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
            DEPENDS ${_xmlfile} ${_mo_file}
        )
        if(_installDest)
            install(FILES ${_xmlfile_tr} DESTINATION ${_installDest}/${_lang})
        endif(_installDest)
        list(APPEND _xmlfiles_tr ${_xmlfile_tr})
        endforeach(_xmlfile)

        get_filename_component(DirId ${CMAKE_CURRENT_SOURCE_DIR} NAME)
        string(REPLACE "@" "_" stripped_lang ${_lang})
        add_custom_target(${DirId}_${_po_file_we}_${stripped_lang}_xmlfiles_tr ${_addToAll} DEPENDS ${_xmlfiles_tr})
    endif(EXISTS ${_po_file})
    endmacro(STEP_PROCESS_XML_TRANSLATION)

else(PYTHON_EXECUTABLE)
    message("Python executable NOT found - Step data translations will not be build")
    macro(STEP_PROCESS_XML_TRANSLATION)
    endmacro(STEP_PROCESS_XML_TRANSLATION)
endif(PYTHON_EXECUTABLE)

add_subdirectory(objectinfo)
add_subdirectory(examples)
add_subdirectory(tutorials)

=== debian/changelog ===
step (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:07 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev (>= 5.2.0~),
                shared-mime-info,
-Build-Conflicts: libeigen3-dev (<< 3.3.5-2~)
+Build-Conflicts: libeigen3-dev (<< 3.3.5-2~),
 Standards-Version: 4.6.2
 Homepage: https://apps.kde.org/en/step
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/step
@@ -37,7 +37,7 @@
 Package: step
 Architecture: any
 Section: science
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: interactive physical simulator for KDE
  With Step you can not only learn but feel how physics works. You place some
  bodies on the scene, add some forces such as gravity or springs, then click

## step 23.04.2

=== debian/changelog ===
step (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:04:10 +0100

step (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:47:23 +0000

## step 23.04.3

=== debian/changelog ===
step (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:59:25 +0100

## step 23.07.90

=== debian/changelog ===
step (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:42:39 +0100

## step 23.08.0

=== debian/changelog ===
step (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:03:15 +0100

## step 23.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,18 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "22")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "23")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(step VERSION ${RELEASE_SERVICE_VERSION})
 
 set(KDE_COMPILERSETTINGS_LEVEL "5.84")
 set(QT_MIN_VERSION "5.15.2")
-set(KF5_MIN_VERSION "5.90.0")
+set(KF_MIN_VERSION "5.90.0")
 
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
+find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})
 
@@ -34,7 +34,7 @@
     find_package(Qt6 REQUIRED NO_MODULE COMPONENTS OpenGLWidgets)
 endif()
 
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
+find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Crash
     Config
     I18n
@@ -43,8 +43,9 @@
     NewStuff
     Plotting
     TextWidgets
+    XmlGui
 )
-find_package(KF5DocTools ${KF5_MIN_VERSION})
+find_package(KF${QT_MAJOR_VERSION}DocTools ${KF_MIN_VERSION})
 find_package(Eigen3 3.2.2 REQUIRED)
 find_package(GSL)
 find_package(Qalculate)
@@ -88,7 +89,7 @@
     # Some other compiler
 endif()
 
-if(KF5DocTools_FOUND)
+if(KF${QT_MAJOR_VERSION}DocTools_FOUND)
     ecm_optional_add_subdirectory(doc)
 endif()
 add_subdirectory(stepcore)
@@ -97,7 +98,7 @@
 
 ecm_install_po_files_as_qm(poqm)
 ki18n_install(po)
-if (KF5DocTools_FOUND)
+if (KF${QT_MAJOR_VERSION}DocTools_FOUND)
     kdoctools_install(po)
 endif()
 install(FILES org.kde.step.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== debian/changelog ===
step (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:08:23 +0100

## step 23.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "23")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(step VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
step (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:41:25 +0100

## step 23.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "23")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(step VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
step (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:45:02 +0000

## step 23.08.4

=== debian/changelog ===
step (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:24:35 +0000

## step 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "23")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MICRO "5")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(step VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
step (4:23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libqalculate22t64, libqt5core5t64,
    libqt5gui5t64, libqt5widgets5t64, libqt5xml5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:50:29 +0200

step (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:17:20 +0000

step (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:13:30 +0000

step (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:33:34 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: step
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
@@ -27,17 +28,17 @@
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev (>= 5.2.0~),
                shared-mime-info,
-Build-Conflicts: libeigen3-dev (<< 3.3.5-2~),
-Standards-Version: 4.6.2
+Build-Conflicts: libeigen3-dev (<< 3.3.5-2~)
+Standards-Version: 4.6.1
 Homepage: https://apps.kde.org/en/step
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/step
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/step.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/step
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/step
 Rules-Requires-Root: no
 
 Package: step
 Architecture: any
 Section: science
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: interactive physical simulator for KDE
  With Step you can not only learn but feel how physics works. You place some
  bodies on the scene, add some forces such as gravity or springs, then click

## step 24.11.80

=== debian/changelog ===
step (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 24 Nov 2024 12:45:09 +0000

step (4:23.08.5-0ubuntu6) oracular; urgency=medium

  * Rebuild against new libgsl28.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2024 08:57:14 +0200

step (4:23.08.5-0ubuntu5) oracular; urgency=medium

  * Rebuild against latest libqalculate

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jun 2024 07:59:59 -0400

## step 24.11.90

=== debian/changelog ===
step (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:17:42 +0000

## step 24.12.0

=== step/icons/actions/CMakeLists.txt ===
include(ECMInstallIcons)

ecm_install_icons(
    ICONS
        22-actions-pointer.png
        22-actions-step_object_Anchor.png
        22-actions-step_object_Box.png
        22-actions-step_object_ChargedParticle.png
        22-actions-step_object_CircularMotor.png
        22-actions-step_object_Controller.png
        22-actions-step_object_CoulombForce.png
        22-actions-step_object_Disk.png
        22-actions-step_object_Gas.png
        22-actions-step_object_GasParticle.png
        22-actions-step_object_Graph.png
        22-actions-step_object_GravitationForce.png
        22-actions-step_object_LinearMotor.png
        22-actions-step_object_Meter.png
        22-actions-step_object_Note.png
        22-actions-step_object_Particle.png
        22-actions-step_object_Pin.png
        22-actions-step_object_Polygon.png
        22-actions-step_object_Rope.png
        22-actions-step_object_SoftBody.png
        22-actions-step_object_Spring.png
        22-actions-step_object_Stick.png
        22-actions-step_object_Tracer.png
        22-actions-step_object_WeightForce.png

    DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor
)

=== debian/changelog ===
step (4:24.12.0-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Dec 2024 08:31:39 +0000

step (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Switch to declarative KF6 debhelper build sequence.
  * Bump Standards-Version to 4.7.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 24 Dec 2024 00:54:39 +0100

step (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:26:58 +0000

=== debian/control ===
Source: step
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libeigen3-dev (>= 3.2.2~),
               libglib2.0-dev,
               libgsl-dev,
               libkf6config-dev (>= 5.90.0~),
               libkf6crash-dev (>= 5.90.0~),
               libkf6i18n-dev (>= 5.90.0~),
               libkf6iconthemes-dev (>= 5.90.0~),
               libkf6kio-dev (>= 5.90.0~),
               libkf6newstuff-dev (>= 5.90.0~),
               libkf6plotting-dev (>= 5.90.0~),
               libkf6textwidgets-dev (>= 5.90.0~),
               libkf6xmlgui-dev (>= 5.90.0~),
               libqalculate-dev (>= 0.9.5),
               pkg-kde-tools (>> 0.15.15),
               qt6-base-dev (>= 5.15.2~),
               qt6-svg-dev (>= 5.15.2~),
               shared-mime-info,
Build-Conflicts: libeigen3-dev (<< 3.3.5-2~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/en/step
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/step
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/step
Rules-Requires-Root: no

Package: step
Architecture: any
Section: science
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: interactive physical simulator for KDE
 With Step you can not only learn but feel how physics works. You place some
 bodies on the scene, add some forces such as gravity or springs, then click
 "Simulate" and Step shows you how your scene will evolve according to the
 laws of physics. You can change every property of bodies/forces in your
 experiment (even during simulation) and see how this will change evolution
 of the experiment.
 .
 This package is part of the KDE education module.

## step 24.12.1

=== debian/changelog ===
step (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:41:59 +0000

## step 24.12.2

=== debian/changelog ===
step (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:25:06 +0000

## step 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "23")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "5")
+set(RELEASE_SERVICE_VERSION_MAJOR "24")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(step VERSION ${RELEASE_SERVICE_VERSION})
@@ -73,10 +73,6 @@
 set(STEPCORE_WITH_GSL ${GSL_FOUND} CACHE BOOL "Enable GSL-powered features for StepCore")
 set(STEPCORE_WITH_QT ON) # CACHE BOOL "Enable QT-powered features for StepCore")
 set(STEP_WITH_QALCULATE ${QALCULATE_FOUND} CACHE BOOL "Enable unit conversion support using libqalculate")
-if (QT_MAJOR_VERSION STREQUAL "6")
-    MESSAGE(STATUS "QALCULATE was not ported to QT6 yet")
-    set(STEP_WITH_QALCULATE false)
-endif()
 
 # Compiler specific options
 if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")

=== debian/changelog ===
step (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:52:17 +0000

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.90.0~),
                gettext,
                libeigen3-dev (>= 3.2.2~),

## step 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(step VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
step (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Remove inactive uploaders.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:24:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,25 @@
 Source: step
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.90.0~),
                gettext,
                libeigen3-dev (>= 3.2.2~),
                libglib2.0-dev,
                libgsl-dev,
+               libkf5config-dev (>= 5.90.0~),
+               libkf5crash-dev (>= 5.90.0~),
+               libkf5i18n-dev (>= 5.90.0~),
+               libkf5iconthemes-dev (>= 5.90.0~),
+               libkf5kio-dev (>= 5.90.0~),
+               libkf5newstuff-dev (>= 5.90.0~),
+               libkf5plotting-dev (>= 5.90.0~),
+               libkf5textwidgets-dev (>= 5.90.0~),
+               libkf5xmlgui-dev (>= 5.90.0~),
                libkf6config-dev (>= 5.90.0~),
                libkf6crash-dev (>= 5.90.0~),
                libkf6i18n-dev (>= 5.90.0~),
@@ -23,15 +30,17 @@
                libkf6textwidgets-dev (>= 5.90.0~),
                libkf6xmlgui-dev (>= 5.90.0~),
                libqalculate-dev (>= 0.9.5),
+               libqt5svg5-dev (>= 5.15.2~),
                pkg-kde-tools (>> 0.15.15),
                qt6-base-dev (>= 5.15.2~),
                qt6-svg-dev (>= 5.15.2~),
+               qtbase5-dev (>= 5.15.2~),
                shared-mime-info,
 Build-Conflicts: libeigen3-dev (<< 3.3.5-2~),
-Standards-Version: 4.7.0
-Homepage: https://apps.kde.org/en/step
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/step
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/step
+Standards-Version: 4.7.2
+Homepage: https://edu.kde.org/step/
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/step
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/step.git
 Rules-Requires-Root: no
 
 Package: step

## step 25.04.1

=== debian/changelog ===
step (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:20:38 +0100

step (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:07:06 +0100

## step 25.04.2

=== debian/changelog ===
step (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 12:04:57 +0100

## step 25.04.3

=== debian/changelog ===
step (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:59:02 +0100

## step 25.07.80

=== debian/changelog ===
step (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:29:43 +0100

## step 25.07.90

=== debian/changelog ===
step (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:04:40 +0100

## step 25.08.0

=== debian/changelog ===
step (4:25.08.0-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 22:38:35 +0000

step (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:54:43 +0000

step (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 13:08:35 +0000

step (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:21:06 +0000

step (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:58:03 +0000

step (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:16:10 +0000

step (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:47:39 +0000

step (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:11:50 +0000

step (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:07:29 +0000

step (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:58:54 +0000

step (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:22:58 +0000

step (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:46:53 +0000

step (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:18:06 +0000

step (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:11:03 +0000

step (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:51:53 +0000

step (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:09:29 +0000

step (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:53:34 +0000

step (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:42:48 +0000

step (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:21:59 +0000

step (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 09:08:44 +0000

step (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:59:43 +0000

step (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:46:25 +0000

step (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:30:47 +0000

step (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 23:08:23 +0000

step (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:59:54 +0000

step (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:38:18 +0000

step (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 17:12:25 +0000

step (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:20:13 +0000

step (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:42:07 +0000

step (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:54:26 +0000

step (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:26:19 +0000

step (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:49:26 +0000

step (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:47:05 +0000

step (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:58:52 +0000

step (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:09:29 +0000

step (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 15:49:24 +0000

step (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:18:10 +0000

step (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 14:52:38 +0000

step (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:35:56 +0000

step (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:24:08 +0000

step (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:20:35 +0000

step (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 14:26:08 +0000

step (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 09:00:07 +0000

step (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:27:56 +0000

step (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 13:05:19 +0000

step (4:20.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Feb 2021 11:16:28 +0000

step (4:20.12.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jan 2021 12:21:47 +0000

step (4:20.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Dec 2020 13:39:31 +0000



## step 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,15 +2,15 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(step VERSION ${RELEASE_SERVICE_VERSION})
 
 set(KDE_COMPILERSETTINGS_LEVEL "5.84")
-set(QT_MIN_VERSION "5.15.2")
-set(KF_MIN_VERSION "5.90.0")
+set(QT_MIN_VERSION "6.6.2")
+set(KF_MIN_VERSION "6.7.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )
@@ -26,15 +26,13 @@
 include(FeatureSummary)
 include(ECMPoQmTools)
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
+find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
     Xml
     Svg
+    OpenGLWidgets
 )
-if (QT_MAJOR_VERSION STREQUAL "6")
-    find_package(Qt6 REQUIRED NO_MODULE COMPONENTS OpenGLWidgets)
-endif()
 
-find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Crash
     Config
     I18n
@@ -45,7 +43,7 @@
     TextWidgets
     XmlGui
 )
-find_package(KF${QT_MAJOR_VERSION}DocTools ${KF_MIN_VERSION})
+find_package(KF6DocTools ${KF_MIN_VERSION})
 find_package(Eigen3 3.2.2 REQUIRED)
 find_package(GSL)
 find_package(Qalculate)
@@ -85,7 +83,7 @@
     # Some other compiler
 endif()
 
-if(KF${QT_MAJOR_VERSION}DocTools_FOUND)
+if(KF6DocTools_FOUND)
     ecm_optional_add_subdirectory(doc)
 endif()
 add_subdirectory(stepcore)
@@ -94,7 +92,7 @@
 
 ecm_install_po_files_as_qm(poqm)
 ki18n_install(po)
-if (KF${QT_MAJOR_VERSION}DocTools_FOUND)
+if (KF6DocTools_FOUND)
     kdoctools_install(po)
 endif()
 install(FILES org.kde.step.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # SPDX-FileCopyrightText: 2014-2015 Andreas Cord-Landwehr <cordlandwehr@kde.org>
 #
-# SPDX-License-Identifier: BSD-2-Clause.
+# SPDX-License-Identifier: BSD-2-Clause
 
 include(ECMMarkAsTest)
 
-find_package(Qt${QT_MAJOR_VERSION}Test ${QT_MIN_VERSION} CONFIG QUIET)
+find_package(Qt6Test ${QT_MIN_VERSION} CONFIG QUIET)
 
-if(NOT Qt${QT_MAJOR_VERSION}Test_FOUND)
+if(NOT Qt6Test_FOUND)
     message(STATUS "Qt5Test not found, autotests will not be built.")
     return()
 endif()

=== step/icons/CMakeLists.txt ===
include(ECMInstallIcons)

add_subdirectory(actions)

ecm_install_icons(
    ICONS
        128-apps-step.png
        16-apps-step.png
        22-apps-step.png
        32-apps-step.png
        48-apps-step.png
        64-apps-step.png

    DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor
)

=== step/data/examples/CMakeLists.txt ===
FILE(GLOB STEP_EXAMPLE_FILES "*.step")

install(FILES
       ${STEP_EXAMPLE_FILES}
       DESTINATION  ${KDE_INSTALL_DATADIR}/step/examples)

FILE(GLOB po_files "${CMAKE_SOURCE_DIR}/po/*/step_example_files.po")
foreach(po_file ${po_files})
    get_filename_component(po_dir ${po_file} DIRECTORY)
    get_filename_component(CURRENT_LANG ${po_dir} NAME)
    STEP_PROCESS_XML_TRANSLATION(${CURRENT_LANG} ${po_file}
        "--context=\"%(tag)s\" --tag=name --tag=text --unquote --parse-unquoted=\"--context=HTML:%(tag)s --tag-regex=^(?:title|body|p|h[1-6])$$ --recursive --strip\""
        ALL INSTALL_DESTINATION ${KDE_INSTALL_DATADIR}/step/examples
        ${STEP_EXAMPLE_FILES})
endforeach()

=== step/data/objectinfo/CMakeLists.txt ===
FILE(GLOB INFO_HTML_FILES "*.html")

install(FILES
       ${INFO_HTML_FILES}
       DESTINATION  ${KDE_INSTALL_DATADIR}/step/objinfo)

FILE(GLOB po_files "${CMAKE_SOURCE_DIR}/po/*/step_objinfo_files.po")
foreach(po_file ${po_files})
    get_filename_component(po_dir ${po_file} DIRECTORY)
    get_filename_component(CURRENT_LANG ${po_dir} NAME)
    STEP_PROCESS_XML_TRANSLATION(${CURRENT_LANG} ${po_file}
        "--context=\"%(filename)s:%(tag)s\" --tag-regex=\"^(?:title|body|p|h[1-6])$$\" --recursive --strip"
        ALL INSTALL_DESTINATION ${KDE_INSTALL_DATADIR}/step/objinfo/l10n
        ${INFO_HTML_FILES})
endforeach()

=== debian/changelog ===
step (4:25.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Remove an obsolete maintscript entry.
  * Re-export upstream signing key without extra signatures, and in a single
    keyring.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 6.6.2
    - bump KF packages to 6.7.0
    - add libkf6doctools-dev for the documentation
    - remove libglib2.0-dev, no more needed
  * Drop the pkg-kde-tools build dependency, as dh-sequence-kf6 is used instead.
  * Rename debian/examples to debian/step.examples to make it explicit to which
    package it refers.
  * Drop patch wa_qt5.5_qvariant_to_string.diff, hopefully not needed anymore.
  * Stop passing -DQT_MAJOR_VERSION=6 to cmake, as step is Qt 6 only since
    version 25.08.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Oct 2025 18:33:21 +0200

=== debian/control ===
Source: step
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.7.0~),
               gettext,
               libeigen3-dev (>= 3.2.2~),
               libgsl-dev,
               libkf6config-dev (>= 6.7.0~),
               libkf6crash-dev (>= 6.7.0~),
               libkf6doctools-dev (>= 6.7.0~),
               libkf6i18n-dev (>= 6.7.0~),
               libkf6iconthemes-dev (>= 6.7.0~),
               libkf6kio-dev (>= 6.7.0~),
               libkf6newstuff-dev (>= 6.7.0~),
               libkf6plotting-dev (>= 6.7.0~),
               libkf6textwidgets-dev (>= 6.7.0~),
               libkf6xmlgui-dev (>= 6.7.0~),
               libqalculate-dev (>= 0.9.5),
               qt6-base-dev (>= 6.6.2~),
               qt6-svg-dev (>= 6.6.2~),
               shared-mime-info,
Build-Conflicts: libeigen3-dev (<< 3.3.5-2~),
Standards-Version: 4.7.2
Homepage: https://edu.kde.org/step/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/step
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/step.git

Package: step
Architecture: any
Section: science
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: interactive physical simulator for KDE
 With Step you can not only learn but feel how physics works. You place some
 bodies on the scene, add some forces such as gravity or springs, then click
 "Simulate" and Step shows you how your scene will evolve according to the
 laws of physics. You can change every property of bodies/forces in your
 experiment (even during simulation) and see how this will change evolution
 of the experiment.
 .
 This package is part of the KDE education module.

## step 25.08.1+p24.04+vstable+git20251001.1215

=== debian/changelog ===
step (4:25.08.1+p24.04+vstable+git20251001.1215-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 12:15:41 +0000

step (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:26:26 +0000

## step 25.08.1+p24.04+vstable+git20251005.1054

=== debian/changelog ===
step (4:25.08.1+p24.04+vstable+git20251005.1054-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 10:54:57 +0000
